EasyApache EOL Items to be Removed by Early 2014

ScottTh

Well-Known Member
Jan 28, 2013
157
2
18
Houston, TX
cPanel Access Level
Root Administrator
We are fast approaching the removal of Apache 1.3/2.0, PHP 5.2, and mod_frontpage from EasyApache. As mentioned in Introducing EasyApache’s Optimal Profiles, these End of Life items will no longer be available in EasyApache by the end of 2013.

These items will be removed for the following reasons:

They are no longer supported by their respective developers.
They include known CVEs (Common Vulnerabilities and Exposures).
EasyApache provides the most up-to-date, supported versions of Apache (2.2/2.4) and PHP (5.4/5.5).
Keep in mind that viable alternatives to mod_frontpage exist, such as WebDAV and FTP. Also, PHP 5.2 and mod_frontpage will be available as custom modules (“opt mods”).

In short, please be mindful of these impending EasyApache removals and be sure to post any questions in the comments section below.
 

ScottTh

Well-Known Member
Jan 28, 2013
157
2
18
Houston, TX
cPanel Access Level
Root Administrator
Re: Reminder: EasyApache EOL Items to be Removed by End of 2013

The EasyApache team tentatively plans to release a new version on Monday December 9th, 2013 that includes the removal of the software mentioned in this post as well as the availability of our PHP 5.2 and FrontPage opt mods.

We are fast approaching the removal of Apache 1.3/2.0, PHP 5.2, and mod_frontpage from EasyApache. As mentioned in Introducing EasyApache’s Optimal Profiles, these End of Life items will no longer be available in EasyApache by the end of 2013.

These items will be removed for the following reasons:

They are no longer supported by their respective developers.
They include known CVEs (Common Vulnerabilities and Exposures).
EasyApache provides the most up-to-date, supported versions of Apache (2.2/2.4) and PHP (5.4/5.5).
Keep in mind that viable alternatives to mod_frontpage exist, such as WebDAV and FTP. Also, PHP 5.2 and mod_frontpage will be available as custom modules (“opt mods”).

In short, please be mindful of these impending EasyApache removals and be sure to post any questions in the comments section below.
 

friedmayofan

Member
Apr 21, 2011
21
0
51
cPanel Access Level
Root Administrator
Re: Reminder: EasyApache EOL Items to be Removed by End of 2013 - Updated with Tentative Release Dat

EasyApache Started to update itself today on one of my servers to 3.24.1! Then it said the EA server was unavailable for like an hour, because the EA server was updating itself. Now I'm back on 3.22.24. Everything okay? It seemed to give a different icon, but the new UI wasn't there. I'm on WHM 11.40.0 (build 26). Another server on the same version of WHM didn't update, nor exhibit any of these other symptoms.

This may have been just an unintentional momentary release of EA, since the screenshots in the various threads and blogs indicate the new UI starting with 3.24.0. Either way, it looks like no harm done to my server, since I was just saving a customized profile w/o building, but I didn't even finish that b/c of another issue.
 

mtindor

Well-Known Member
Sep 14, 2004
1,363
65
178
inside a catfish
cPanel Access Level
Root Administrator
Re: Reminder: EasyApache EOL Items to be Removed by End of 2013

The EasyApache team tentatively plans to release a new version on Monday December 9th, 2013 that includes the removal of the software mentioned in this post as well as the availability of our PHP 5.2 and FrontPage opt mods.
I'm guessing this didn't happen? I see no reference in the twiki about Apache 1.3/2.0, PHP 5.2 or Frontpage optmods, or where to download them. So I'm guessing it hasn't happened. Is that correct? I would assume that information will be added to twiki and downloads made available prior to this actually taking place -- as not doing so could leave some people hanging.

Mike
 

ScottTh

Well-Known Member
Jan 28, 2013
157
2
18
Houston, TX
cPanel Access Level
Root Administrator
Re: Reminder: EasyApache EOL Items to be Removed by End of 2013 - Updated with Tentative Release Dat

Hey mtindor and friedmayofan,

Thank you both for the inquiries! You are both quite right that the release of 3.24 did not happen yesterday. As you noted friedmayofan, 3.24 did see a short public release and based on internal reporting we decided to re-release 3.22.24.

The Release of EasyApache 3.24 has now been moved to early 2014. Please watch cPanel Blog and the EasyApache forums for more information about this release.
 

ScottTh

Well-Known Member
Jan 28, 2013
157
2
18
Houston, TX
cPanel Access Level
Root Administrator
EasyApache tentatively plans to release EasyApache 3.24 in the very near future. This version will include the removal of Apache 1.3/2.0, PHP 5.2, and mod_frontpage. As mentioned in Introducing EasyApache's Optimal Profiles, these End of Life items will no longer be available in EasyApache.

These items will be removed for the following reasons:

They are no longer supported by their respective developers.
They include known CVEs (Common Vulnerabilities and Exposures).
EasyApache provides the most up-to-date, supported versions of Apache (2.2/2.4) and PHP (5.4/5.5).
Keep in mind that viable alternatives to mod_frontpage exist, such as WebDAV and FTP. Also, PHP 5.2 and mod_frontpage will be available as custom modules ("opt mods").

To ensure that you receive up-to-date product news from cPanel, we encourage you to subscribe to the “Security Advisories and Product Release Announcements” mailing list here: http://cpanel.net/mailing-lists
 

mtindor

Well-Known Member
Sep 14, 2004
1,363
65
178
inside a catfish
cPanel Access Level
Root Administrator
EasyApache tentatively plans to release EasyApache 3.24 in the very near future. This version will include the removal of Apache 1.3/2.0, PHP 5.2, and mod_frontpage. As mentioned in Introducing EasyApache's Optimal Profiles, these End of Life items will no longer be available in EasyApache.

These items will be removed for the following reasons:

They are no longer supported by their respective developers.
They include known CVEs (Common Vulnerabilities and Exposures).
EasyApache provides the most up-to-date, supported versions of Apache (2.2/2.4) and PHP (5.4/5.5).
Keep in mind that viable alternatives to mod_frontpage exist, such as WebDAV and FTP. Also, PHP 5.2 and mod_frontpage will be available as custom modules ("opt mods").

To ensure that you receive up-to-date product news from cPanel, we encourage you to subscribe to the “Security Advisories and Product Release Announcements” mailing list here: http://cpanel.net/mailing-lists
Scott,

Just curious --- is somebody going to update the appropriate areas where they would normally fetch the opt mods stuff? Last time I checked [a month or so ago], there was no PHP 5.2 or mod_frontpage available on that site for somebody to download if they were so inclined to install PHP 5.2 or mod_frontpage.

Mike
 

ScottTh

Well-Known Member
Jan 28, 2013
157
2
18
Houston, TX
cPanel Access Level
Root Administrator
How can I install PHP 5.2 as default now?
Hi nospa,

After 3.24 is released and PHP 5.2 has been removed from EasyApache we will be providing two PHP 5.2 opt mods. These opt mods will be available on our custom modules page.

You'll be able to download the opt mod of your choice and rebuild EasyApache in order to continue using PHP 5.2. We'll update the forums once the release is complete and the 5.2 opt mods are available for download.

Please let us know if you have any additional questions!